import { IPersonalizedFilter, IValidateFilter } from '../../../../components/snk-personalized-filter/interfaces/IPersonalizedFilter';
import { IFilterMetadata } from "../../../../components/snk-filter-field-search/interfaces";
export default class PersonalizedFilterFetcher {
  private templateByQuery;
  private DEFAULT_RESOURCE;
  constructor();
  private resolveURI;
  private resolveLegacyConfigName;
  private buildTemplates;
  loadDefaultFilter(resourceID: string, filterID: string, configName?: string, legacyConfigName?: string): Promise<IPersonalizedFilter>;
  loadPersonalizedFilter(resourceID: string, filterID: string, configName?: string, legacyConfigName?: string, isDefault?: boolean): Promise<IPersonalizedFilter>;
  saveDefaultFilter(personalizedFilter: IPersonalizedFilter, resourceID: string, configName?: string): Promise<IPersonalizedFilter>;
  savePersonalizedFilter(personalizedFilter: IPersonalizedFilter, resourceID: string, configName?: string, isDefault?: boolean): Promise<IPersonalizedFilter>;
  removeDefaultFilter(personalizedFilter: IPersonalizedFilter, resourceID: string, configName?: string): Promise<IPersonalizedFilter>;
  removePersonalizedFilter(personalizedFilter: IPersonalizedFilter, resourceID: string, configName?: string, isDefault?: boolean): Promise<IPersonalizedFilter>;
  validatePersonalizedFilter(dataUnitName: string, expression: string): Promise<IValidateFilter>;
  loadFields(uri: string): Promise<IFilterMetadata>;
}
